Debian Bug report logs - #473833
codespeak-lib: recommends packages not in main

version graph

Package: codespeak-lib; Maintainer for codespeak-lib is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>;

Reported by: Amaya <amaya@debian.org>

Date: Tue, 1 Apr 2008 22:12:02 UTC

Severity: important

Tags: patch

Found in version 0.9.0-4

Fixed in version codespeak-lib/0.9.1-1

Done: Chris Lamb <chris@chris-lamb.co.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Guilherme Salgado <salgado@async.com.br>:
Bug#473833; Package codespeak-lib. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
New Bug report received and forwarded. Copy sent to Guilherme Salgado <salgado@async.com.br>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: submit@bugs.debian.org
Subject: codespeak-lib: recommends packages not in main
Date: Tue, 1 Apr 2008 23:49:44 +0200
[Message part 1 (text/plain, inline)]
Package: codespeak-lib
Version: 0.9.0-4
Severity: important
User: debian-release@lists.debian.org
Usertags: goal-recommends
Tags: patch

Hi,

I intend to *lovingly* NMU codespeak-lib, as part of my effort to 
accomplish the following Release Goal for Lenny:

  # No unmet recommends relations inside main
  Advocate: Luk Claes
  Description: Packages in main should be able to satisfy all recommend
               relations in main.
  Bug-User: debian-release@lists.debian.org
  Bug-Tag: goal-recommends

Even though 0-day NMUs are allowed, I will wait for two weeks for your answer
to this, and then upload upload to DELAYED/7 in order to give you plenty of
time for reaction.

You will find that my changes are minimal and address only this issue, unless
other release goal can be dealt with in the same upload.

Attached is the diff for my codespeak-lib 0.9.0-4.1 NMU.

Thanks for your contribution to debian, and... Happy hacking!


-- 
  ·''`.        Gay scientists discover the Christian gene
 : :' :            
 `. `'            
   `-        Proudly running (unstable) Debian GNU/Linux
[codespeak-lib-0.9.0-4.1-nmu.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Guilherme Salgado <salgado@async.com.br>:
Bug#473833; Package codespeak-lib. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Guilherme Salgado <salgado@async.com.br>. Full text and rfc822 format available.

Message #10 received at 473833@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Mark Brown <broonie@debian.org>
Cc: 473832@bugs.debian.org, 473839@bugs.debian.org, 473836@bugs.debian.org, 473835@bugs.debian.org, 473844@bugs.debian.org, 473842@bugs.debian.org, 473834@bugs.debian.org, 473833@bugs.debian.org, 473829@bugs.debian.org, 473831@bugs.debian.org
Subject: Re: Bug#473832: clc-intercal: recommends packages not in main
Date: Wed, 2 Apr 2008 01:37:35 +0200
Hey Mark!

First of all, thanks for your fast upload. You too, Mr Marillat!

Mark Brown wrote:
>  - File the actual bug, not your intention to NMU (ie, include the bug
>    report in the body of the bug rather than burying it in the patch).

Yes you are very right. I will change my wording.

>  - Provide some way for people to get information about this like
>    putting a list of affected packages on a web page and announcing it.
>    This would help avoid the need for an NMU campaign in the first
>    place.

That is work in progress. I am working on a wiki page, it will be ready
tomorrow. So far, I can only point you to:
    http://release.debian.org/lenny/goals.txt
    http://bugs.debian.org/cgi-bin/pkgreport.cgi?users=debian-release@lists.debian.org&tag=goal-recommends
    http://qa.debian.org/debcheck.php?dist=sid&list=main%2donly%2drelationship%2dRecommends&arch=EVERY
    http://lists.debian.org/debian-qa/2008/04/msg00007.html (and
    answers).

The wiki page will group all this already available information so that
this is easier to track for everyone.

This is not an NMU campaign. I will definitely change the wording.
My original intention was to submit bug+patch, as agreed with Luk:
    <luk> amaya:
    http://qa.debian.org/debcheck.php?dist=sid&list=main%2donly%2drelationship%2dRecommends&arch=EVERY
    (the ones in unstable) and
    http://qa.debian.org/debcheck.php?dist=lenny&list=main%2donly%2drelationship%2dRecommends&arch=EVERY
    (the ones in testing)
    <amaya> luk: so what to do about these? should I file bugs?
    <luk> yes, file with the appropriate version if not already
    reported at least for the sid ones, identifying the lenny ones that
    are fixed in sid for extra bonus points :-)
    <amaya> luk: i see a lot of those will be fixed when my nmus leave
    the delayed queue
    <luk> great
    <amaya> luk: I will take a look and file appropriate bugs with
    patches, and nmu threats ;)
    <luk> even better!

I think we were both joking about nmus there. Sorry about the tone of my
bug report. I am Cc:ing the rest of maintainers that got this tasteless
report, so that they also forgive me.

> My first reponse to this was "WTF?  I only uploaded this yesterday and
> there weren't any bugs.", especially given that the report jumped right
> to "I'm about to NMU", skipping over what the actual problem was.

Well, no. I clearly said I would wait for two weeks for your response.
And *then* 7 more days in DELAYED. Mainly because some recommends have
become obsolete and I am not sure about the right replacements. I am
seeking actual advice, input, wisdom, from maintainers here :)

But you are right. I am sorry it came accross this way.

Thanks for your help! 

-- 
  ·''`.        Gay scientists discover the Christian gene
 : :' :            
 `. `'            
   `-        Proudly running (unstable) Debian GNU/Linux




Reply sent to Chris Lamb <chris@chris-lamb.co.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Amaya <amaya@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 473833-close@bugs.debian.org (full text, mbox):

From: Chris Lamb <chris@chris-lamb.co.uk>
To: 473833-close@bugs.debian.org
Subject: Bug#473833: fixed in codespeak-lib 0.9.1-1
Date: Fri, 04 Apr 2008 09:02:05 +0000
Source: codespeak-lib
Source-Version: 0.9.1-1

We believe that the bug you reported is fixed in the latest version of
codespeak-lib, which is due to be installed in the Debian FTP archive:

codespeak-lib_0.9.1-1.diff.gz
  to pool/main/c/codespeak-lib/codespeak-lib_0.9.1-1.diff.gz
codespeak-lib_0.9.1-1.dsc
  to pool/main/c/codespeak-lib/codespeak-lib_0.9.1-1.dsc
codespeak-lib_0.9.1.orig.tar.gz
  to pool/main/c/codespeak-lib/codespeak-lib_0.9.1.orig.tar.gz
python-codespeak-lib_0.9.1-1_i386.deb
  to pool/main/c/codespeak-lib/python-codespeak-lib_0.9.1-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 473833@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chris Lamb <chris@chris-lamb.co.uk> (supplier of updated codespeak-lib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 03 Apr 2008 13:16:40 +0100
Source: codespeak-lib
Binary: python-codespeak-lib
Architecture: source i386
Version: 0.9.1-1
Distribution: unstable
Urgency: low
Maintainer: Chris Lamb <chris@chris-lamb.co.uk>
Changed-By: Chris Lamb <chris@chris-lamb.co.uk>
Description: 
 python-codespeak-lib - The pylib library containing py.test, greenlets and other nicetie
Closes: 413665 434226 448894 463568 471844 473528 473833
Changes: 
 codespeak-lib (0.9.1-1) unstable; urgency=low
 .
   * New upstream release (Closes: #473528)
      - Documentation is now installed with sensible filenames (Closes:
      #413665)
   * Adjust Maintainers with permission from Guilherme Salgado and Alexandre
     Fayolle.
   * Remove '/usr/bin' from path when executing py.test to prevent collision
     with pypy-dev (Closes: #463568).
   * Disable buildcmodule.py from deleting greenlet module /usr/lib. Thanks to
     Mark Wooding <mdw@distorted.org.uk> (Closes: #471844).
   * Remove python-tkinter from Recommends (Closes: #448894, #473833)
   * Add texlive-extra-utils to Build-Depends.
   * Install "webdata" HTML and JavaScript files to fix web-based py.test.
     Patch by Alexandre Fayolle <afayolle@debian.org> (Closes: #434226).
   * Add debian/watch file.
   * Change doc-base section to "Programming/Python" from "Apps/Programming".
   * Update Lintian overrides to match new installed directories.
Files: 
 ae132e9fe43d132a6b0870a3fc8ebf58 804 python optional codespeak-lib_0.9.1-1.dsc
 d9e3dd3450408c30d152f682502af90f 490211 python optional codespeak-lib_0.9.1.orig.tar.gz
 bcb9a79beb823dc555bde06d78327ad6 9760 python optional codespeak-lib_0.9.1-1.diff.gz
 1604935af35a4b9d43d6ec0acc11fdab 3480948 python optional python-codespeak-lib_0.9.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9d7b+C5cwEsrK54RAjmHAJ97qNjPY6kFIVzM3UNMrDip1L32qwCgottU
GlBMoLTNKJ4mn/UBT768nBM=
=xUzE
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 03 May 2008 07:32:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:50:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.